
From: Stephen Rothwell <sfr@canb.auug.org.au>

The generic irq patches broke pci irqs on ppc64 iSeries.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/iSeries_irq.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/ppc64/kernel/iSeries_irq.c~ppc64-iseries-fix-for-generic-irq-changes arch/ppc64/kernel/iSeries_irq.c
--- 25/arch/ppc64/kernel/iSeries_irq.c~ppc64-iseries-fix-for-generic-irq-changes	Thu Oct 28 15:23:32 2004
+++ 25-akpm/arch/ppc64/kernel/iSeries_irq.c	Thu Oct 28 15:23:32 2004
@@ -110,6 +110,7 @@ static unsigned int iSeries_startup_IRQ(
 	/* Unmask bridge interrupts in the FISR */
 	mask = 0x01010000 << function;
 	HvCallPci_unmaskFisr(bus, subBus, deviceId, mask);
+	iSeries_enable_IRQ(irq);
 	return 0;
 }
 
_
